CVE-2000-0321
CVSS5.0
发布时间 :2000-04-24 00:00:00
修订时间 :2008-09-10 15:04:04
NMCOS    

[原文]Buffer overflow in IC Radius package allows a remote attacker to cause a denial of service via a long user name.


[CNNVD]IC Radius缓冲区溢出漏洞(CNNVD-200004-067)

        IC Radius 存在缓冲区溢出漏洞,远程攻击者可以通过超长用户名触发访问控制。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0321
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0321
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200004-067
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1147
(VENDOR_ADVISORY)  BID  1147
http://archives.neohapsis.com/archives/bugtraq/2000-04/0190.html
(VENDOR_ADVISORY)  BUGTRAQ  20000424 Buffer Overflow in version .14

- 漏洞信息

IC Radius缓冲区溢出漏洞
中危 缓冲区溢出
2000-04-24 00:00:00 2005-10-20 00:00:00
远程  
        IC Radius 存在缓冲区溢出漏洞,远程攻击者可以通过超长用户名触发访问控制。

- 公告与补丁

        Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 漏洞信息

58526
IC Radius User Name Handling Remote Overflow DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Public Uncoordinated Disclosure

- 漏洞描述

IC Radius contains a flaw that may allow a remote denial of service. The issue is triggered when a malicious user submits an overly long user name, and will result in loss of availability for the service.

- 时间线

2000-04-24 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

IC Radius Buffer Overflow Vulnerability
Unknown 1147
Yes No
2000-04-24 12:00:00 2009-07-11 01:56:00
This vulnerability was posted to the Bugtraq mailing list on April 24, 2000 by Jesse Schachter <jschachter@psnw.com>

- 受影响的程序版本

ICRadius ICRADIUS 0.14
- Larry Wall Perl 5.0 05
- Larry Wall Perl 5.0 05
- Larry Wall Perl 5.0 05
- MySQL AB MySQL 3.23.10

- 漏洞讨论

A buffer overrun exists in the ICRadius package. At the least, version .14 is affected; prior versions may be affected as well. The overflow stems from the use of the sprintf() function, without regard for the size of the buffer. This allows a remote user to cause the RADIUS daemon to crash, and could possibly be used to execute code on the machine hosting the daemon. IC Radius is a package that integrates a RADIUS (Remote Authentication Dial In User Service) front end with a MySQL backend.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站